Package: org.gradle.api.plugins.quality

## [Groovy] Class CodeQualityExtension

- org.gradle.api.plugins.quality.CodeQualityExtension

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `ignoreFailures` Whether or not to allow the build to continue if there are warnings.
    `File` | `reportsDir` The directory where reports will be generated.
    `Collection<SourceSet>` | `sourceSets` The source sets to be analyzed as part of the `check` and `build` tasks.
    `String` | `toolVersion` The version of the code quality tool to be used.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### boolean ignoreFailures

      Whether or not to allow the build to continue if there are warnings. Example: ignoreFailures = true

    - #### File reportsDir

      The directory where reports will be generated.

    - #### Collection<SourceSet> sourceSets

      The source sets to be analyzed as part of the `check` and `build` tasks.

    - #### String toolVersion

      The version of the code quality tool to be used.